Bug 1660804 - Disconnect install - oreg_url not used as universal url
Summary: Disconnect install - oreg_url not used as universal url
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Broker
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.11.z
Assignee: Shawn Hurley
QA Contact: Zhang Cheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-19 09:41 UTC by Luis Martinho
Modified: 2019-03-14 15:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-14 15:19:49 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Luis Martinho 2018-12-19 09:41:01 UTC
Hi,

This Bugzilla is related with https://bugzilla.redhat.com/show_bug.cgi?id=1516534

In 3.11.43 there are still some remainders of the previous bug.

My customer is trying to do a disconnected install and some configurations still have a static URL for the repositories. Therefore oreg_url still isnt used completely as universal url.

The ansible playbooks in [1], still have static configured registries (registry.redhat.io
 and/or registry.access.redhat.com).

The playbooks should be set to use the  oreg_url.

[1]
-/usr/share/ansible/openshift-ansible/roles/ansible_service_broker/vars/openshift-enterprise.yml
-/usr/share/ansible/openshift-ansible/roles/openshift_web_console/defaults/main.yml
-/usr/share/ansible/openshift-ansible/roles/template_service_broker/defaults/main.yml

Thank you
Luis

Comment 1 Brenton Leanhardt 2019-03-05 14:51:11 UTC
Looking at the code, it really looks to me that the openshift_web_console and template_service_broker are properly using oreg_url.  I agree the ansible_service_broker bug should be addressed.

Comment 2 Vadim Rutkovsky 2019-03-08 08:56:34 UTC
(In reply to Luis Martinho from comment #0)
> The playbooks should be set to use the  oreg_url.
...
> -/usr/share/ansible/openshift-ansible/roles/openshift_web_console/defaults/
> main.yml

`openshift_web_console_image` uses oreg_url via `l_osm_registry_url` local var

> -/usr/share/ansible/openshift-ansible/roles/template_service_broker/defaults/
> main.yml

Same, template_service_broker_image uses oreg_url

> -/usr/share/ansible/openshift-ansible/roles/ansible_service_broker/vars/
> openshift-enterprise.yml

This determines the default registry used for APBs in Service Catalog, but its not necessary for cluster to function,
thus it can be pointing to Red Hat's registry. Satellity sync script won't copy those by default
Please file a documentation issue to mention this var in https://docs.openshift.com/container-platform/3.11/install/configuring_inventory_file.html and https://docs.openshift.com/container-platform/3.11/install/disconnected_install.html

Luis, would you mind if I close this as NOTABUG?

Comment 4 Shawn Hurley 2019-03-14 14:12:00 UTC
It appears to me that the broker is using the oreg_url: https://github.com/openshift/openshift-ansible/blob/release-3.11/roles/ansible_service_broker/defaults/main.yml#L31

Does the user need to update the registry info for the ansible-service-broker to pull from their registry rather than the enterprise registry?

Comment 5 Scott Dodson 2019-03-14 15:06:13 UTC
It looks like the use of ansible_service_broker_registry_url is the chain by which it ends up populating the configmap with a value that's not a derivative of oreg_url.

Comment 6 Shawn Hurley 2019-03-14 15:19:49 UTC
I believe that is the correct thing to do. APB's are set up to use a specific image. If the user would like to change the registry they can that is documented. I am going to close this bug as this is either asking for an RFE around having APB's dynamically chose the registry they use or it is asking for a way to change the registry that the APB uses, and in this case, the user has the ability to update this. 

Please re-open if you do not agree.


Note You need to log in before you can comment on or make changes to this bug.